ID3V2(1)

NAME
id3v2 - Adds/Modifies/Removes/Views id3v2 tags, converts/lists id3v1 tags

SYNOPSIS
id3v2 [ OPTION ] [ FILE ]

OPTIONS

-h, --help
    Display help and exit

-f, --list-frames
    Display all possible frames for id3v2

-L, --list-genres
    Lists all id3v1 genres

-v, --version
    Display version information and exit

-l, --list
    Lists the tag(s) on the file(s)

-R, --list-rfc822
    Lists using an rfc822-style format for output

-d, --delete-v2
    Deletes id3v2 tags

-s, --delete-v1
    Deletes id3v1 tags

-D, --delete-all
     Deletes both id3v1 and id3v2 tags

-C, --convert
     Converts id3v1 tag to id3v2

-a, --artist ARTIST
    Set the artist information

-A, --album ALBUM
    Set the album title information

-t, --song SONG
    Set the song title information

-p, --picture FILE
    Set the front cover image from FILE. The image must be in JPEG, PNG or GIF format; the MIME type is detected automatically from the file contents.

-c, --comment DESCRIPTION:COMMENT:LANGUAGE
    Set the comment information. The argument is split into description, comment and language on unescaped colons; see the NOTE section below

-g, --genre num
    Set the genre number

-y, --year num
    Set the year

-T, --track num/num
    Set the track number/(optional) total tracks

NOTE
You can set the value for any id3v2 frame by using '--' and then frame id

For example:

    id3v2 --TIT3 Monkey! file.mp3

would set the "Subtitle/Description" frame to "Monkey!".

Some frames take a colon-separated argument made up of several components: the comment (-c) and unsynchronized lyrics (--USLT) frames use description:text:language, the user-defined text frame (--TXXX) uses description:text, and the terms-of-use frame (--USER) uses language:text. Trailing components are optional. To put a literal colon into a component, escape it as \:. For example,

id3v2 -c :ripped\: from CD:eng file.mp3

sets the comment text to "ripped: from CD" with an empty description and the language "eng".

id3v2 is built on id3lib, which is no longer actively maintained and is limited to ID3 v2.3.0. For ID3 v2.4 support, additional frame types and an actively maintained implementation, consider mid3v2(1) from the mutagen project.

STANDARDS
id3v2 uses id3lib, which writes ID3 v2.3.0 tags (and ID3 v1.1 tags). Existing ID3 v2.2 and v2.3 tags can be read; ID3 v2.4 is not supported.

ENCODING
Text given on the command line is interpreted in the encoding of the current locale (see locale(7)). Each text field is stored in the tag as ISO-8859-1 when its value can be represented in that encoding, and as UTF-16 otherwise; the corresponding text encoding is marked in the tag in both cases.

SEE ALSO
id3tag(1), id3info(1), id3convert(1), mid3v2(1)

AUTHOR
id3v2 is by myers <myers_carpenter@users.sourceforge.net> with major portions used from id3lib examples. Manual page written for Debian GNU/Linux by Robert Woodcock <rcw@debian.org>.